<h4>Preferencias de viaje</h4>
<h5 *ngIf="showMensaje" style="font-size: 1rem;" class="padding: 20px">Tus preferencias nos ayudan a encontrar los mejores viajes para ti, validalas.</h5>
<div class="row">

    <div class="col-5 col-lg-2" style="padding: 20px; text-align: left">
        <p>Fumar</p>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/fumar-bajo.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaFumar == 'NO'}" name="fumar" id="fumar3" (click)="setFumar($event)" data-toggle="tooltip" data-placement="top"
                title="" data-original-title="No quiero que se fume">
        </div>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/fumar-medio.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaFumar == 'PUEDE SER'}" name="fumar" id="fumar2" (click)="setFumar($event)" data-toggle="tooltip" data-placement="top"
                title="" data-original-title="A veces no me importa">

        </div>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/fumar-alto.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaFumar == 'SI'}" name="fumar" id="fumar1" (click)="setFumar($event)" data-toggle="tooltip" data-placement="top"
                title="" data-original-title="El tabaco no me molesta">
        </div>
    </div>
</div>
<div class="row">
    <div class="col-5 col-lg-2" style="padding: 20px; text-align: left">
        <p>Niños</p>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/kids-bajo.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaBebes == 'NO'}" name="kids" id="kids3" (click)="setKids($event)" data-toggle="tooltip" data-placement="top" title=""
                data-original-title="No se admiten niños">

        </div>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/kids-medio.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaBebes == 'PUEDE SER'}" name="kids" id="kids2" (click)="setKids($event)" data-toggle="tooltip" data-placement="top"
                title="" data-original-title="A veces no me molestan">
        </div>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/kids-alto.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaBebes == 'SI'}" name="kids" id="kids1" (click)="setKids($event)" data-toggle="tooltip" data-placement="top" title=""
                data-original-title="¡Me gustan los niños!">
        </div>
    </div>
</div>
<div class="row">
    <div class="col-5 col-lg-2" style="padding: 20px; text-align: left">
        <p>Mascotas</p>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/mascotas-bajo.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaMascota == 'NO'}" name="pets" id="mascotas3" (click)="setMascotas($event)" data-toggle="tooltip" data-placement="top"
                title="" data-original-title="No se admiten mascotas">
        </div>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/mascotas-medio.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaMascota == 'PUEDE SER'}" name="pets" id="mascotas2" (click)="setMascotas($event)" data-toggle="tooltip"
                data-placement="top" title="" data-original-title="¡Depende de la mascota!">
        </div>
    </div>
    <div class="col-2">
        <div class="mr-2 mb-2">
            <img src="assets/img/preferencias/mascotas-alto.png" alt="Avatar" class="avatar circulo-img" [ngClass]="{'selected-pref': preferencias.preferenciaMascota == 'SI'}" name="pets" id="mascotas1" (click)="setMascotas($event)" data-toggle="tooltip" data-placement="top"
                title="" data-original-title="Las mascotas son bienvenidas">
        </div>
    </div>
</div>
<div class="row">
    <div class="mr-2 mb-2 mt-2 ml-3">
        <a *ngIf="showMensaje" style="cursor: pointer" (click)="validar()" class="btn btn-primary">
            <div class="d-flex align-items-center">
                <span style="color: white">Validar</span>
            </div>
        </a>
        <a *ngIf="!showMensaje" style="cursor: pointer" (click)="updatePref()" class="btn btn-primary">
            <div class="d-flex align-items-center">
                <span style="color: white">Actualizar</span>
            </div>
        </a>
    </div>
</div>